4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.DocumentDefinitionImp

DocumentDefinition repository resource class.
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: DocumentDefinitionImp |  |  |  | Functions: NewDocumentDefinitionXml |  |  |  | Fields: FTSERVER_NAMESPACE, NEW_BASE_XUPDATE, REMOVE_BASE_XUPDATE, SET_CREATION_PARAMS_XUPDATE, XLINK_NAMESPACE

## Classes

class DocumentDefinitionImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp)
A document definition document

### Methods

addBaseDocumentDefinition(self, baseDef)
Add a base document definition to this document definition. This will cause all of the documents associated with this document definition to be re-processed and could take a long time
getBaseDefinitions(self)
Get the base definitions of this document definition
getCreationParams(self)
Get the creation parameters associated with this document definition. See Ft.Server.Core.CreationParamsImp.py
getDerivedDefinitions(self)
Get all of the parent definitions of this document definition
getMetaDocumentUris(self, recurse=1)
Get a list of all documents that use this doc def
removeBaseDocumentDefinition(self, baseDef, recurse=1)
Remove a base document definition. This will cause all of the documents associated with this document definition to be regenerated.
setContent(self, src)
setCreationParams(self, newCp)
Set the creation parameters of this document definition

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 13

## Functions

NewDocumentDefinitionXml(driver, path, acl, owner, imt, src, docDef, typ)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
NEW_BASE_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x..."/>\n </xupdate:append>\n</xupdate:modifications>\n'
REMOVE_BASE_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...se[@xlink:href=\'%s\']"/>\n</xupdate:modifications>\n'
SET_CREATION_PARAMS_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x... %s\n </xupdate:append>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'